# @crystal-ball/babel-base changelog

This project strictly adheres to semver and will err on the side of releasing majors when
changes could possibly introduce breaking changes. This changelog is dynamically generated
with [Semantic Release](https://semantic-release.gitbook.io/semantic-release/) configured
with [@crystal-ball/semantic-release-base](https://github.com/crystal-ball/semantic-release-base).

> Changelog tags
>
> - 💥 - Breaking change
> - 🔖 - Release notes
> - 💖 - New feature
> - ✨ - Updates
> - 🛠 - Fixes


## [3.0.0](https://github.com/crystal-ball/babel-base/compare/v2.0.0...v3.0.0) (2020-11-21)


### 💥 Breaking Changes!

* Update import to named and remove hot loader from React apps


#### Chore, Docs

* Remove hot loader and default export 💥 (#73)([69ddf15](https://github.com/crystal-ball/babel-base/commit/69ddf15f7a187ad540d67119ee0ce386e058e8a6)), closes [#73](https://github.com/crystal-ball/babel-base/issue/73)
* Updated env config in README 📝([7ec8eed](https://github.com/crystal-ball/babel-base/commit/7ec8eed6ec43ebf2417eebf96364f2a50242c72a))

## [2.0.0](https://github.com/crystal-ball/babel-base/compare/v1.15.0...v2.0.0) (2020-10-30)


### 💥 Breaking Changes!

* The env option should be changed to one of development, test, or production


#### 💖 New

* Automatic runtime support 💖 (#72)([83e66e8](https://github.com/crystal-ball/babel-base/commit/83e66e8055da6d3a509e3cb081e9eb02a49b496b)), closes [#72](https://github.com/crystal-ball/babel-base/issue/72)

#### Chore

* CI-CD caching and checkout upgrades ⚙️ (#71)([c15b117](https://github.com/crystal-ball/babel-base/commit/c15b117c543c15eb4114c2c56768649b996b188e)), closes [#71](https://github.com/crystal-ball/babel-base/issue/71)

## [1.15.0](https://github.com/crystal-ball/babel-base/compare/v1.14.1...v1.15.0) (2020-10-28)


#### ✨ Update

* Package dependencies 🆙 (#70)([2a6401a](https://github.com/crystal-ball/babel-base/commit/2a6401a8aba01c7e89e0170721feaaf61d68bad6)), closes [#70](https://github.com/crystal-ball/babel-base/issue/70)

### [1.14.1](https://github.com/crystal-ball/babel-base/compare/v1.14.0...v1.14.1) (2020-10-15)


#### 🛠 Fix

* Revert runtime update 🚧 (#66)([21f5f45](https://github.com/crystal-ball/babel-base/commit/21f5f45f8e7f8fa1220151e6ac821ab761e2b4a9)), closes [#66](https://github.com/crystal-ball/babel-base/issue/66)

## [1.14.0](https://github.com/crystal-ball/babel-base/compare/v1.13.0...v1.14.0) (2020-10-15)


#### 💖 New

* Enable React automatic runtime transforms 💖 (#65)([6214d46](https://github.com/crystal-ball/babel-base/commit/6214d46db6e940245488feb6ce3c10532e4ba33f)), closes [#65](https://github.com/crystal-ball/babel-base/issue/65)

#### Chore

* Update devDependencies 🆙 (#58)([3c51bb7](https://github.com/crystal-ball/babel-base/commit/3c51bb7fd8250724a6ce52f8f0c2514800d64525)), closes [#58](https://github.com/crystal-ball/babel-base/issue/58)
* Update devDependencies 🆙 (#61)([ca6cd03](https://github.com/crystal-ball/babel-base/commit/ca6cd039f5fff146aa879d07f4ab0deaee1c9b96)), closes [#61](https://github.com/crystal-ball/babel-base/issue/61)
* Update devDependencies 🆙 (#63)([7148689](https://github.com/crystal-ball/babel-base/commit/71486895edf7f95556e2da05cfce3d8711808fcf)), closes [#63](https://github.com/crystal-ball/babel-base/issue/63)
* Update devDependencies 🆙 (#64)([4d23b07](https://github.com/crystal-ball/babel-base/commit/4d23b07bfdd866b784feb3923feac63428af00ae)), closes [#64](https://github.com/crystal-ball/babel-base/issue/64)
* Update package @types/node to v14.10.2 🆙 (#59)([5c8e55a](https://github.com/crystal-ball/babel-base/commit/5c8e55a46ee5064660c1946c7ba683d75d76a985)), closes [#59](https://github.com/crystal-ball/babel-base/issue/59)
* Update package eslint-config-eloquence to v15 🆙 (#60)([3f9127a](https://github.com/crystal-ball/babel-base/commit/3f9127a6dc0247ce861fe3106b19558adbe8ca4c)), closes [#60](https://github.com/crystal-ball/babel-base/issue/60)
* Update package eslint-config-eloquence to v16 🆙 (#62)([c6ac29f](https://github.com/crystal-ball/babel-base/commit/c6ac29f93fa07a224512d1e511ded633341b1618)), closes [#62](https://github.com/crystal-ball/babel-base/issue/62)

## [1.13.0](https://github.com/crystal-ball/babel-base/compare/v1.12.0...v1.13.0) (2020-09-04)


#### ✨ Update

* Dependencies 🆙 (#55)([66fd861](https://github.com/crystal-ball/babel-base/commit/66fd8619d4668289c8d493383a4c0145c30e3e48)), closes [#55](https://github.com/crystal-ball/babel-base/issue/55)

#### Chore

* Update devDependencies 🆙 (#52)([df0ac9a](https://github.com/crystal-ball/babel-base/commit/df0ac9aae86dcd92387f42524df6472a0d4c3eeb)), closes [#52](https://github.com/crystal-ball/babel-base/issue/52)
* Update devDependencies 🆙 (#53)([2a665a7](https://github.com/crystal-ball/babel-base/commit/2a665a757474a95d507c01f2d69b5aa123e78248)), closes [#53](https://github.com/crystal-ball/babel-base/issue/53)
* Update devDependencies 🆙 (#57)([d74ec41](https://github.com/crystal-ball/babel-base/commit/d74ec411bc155c1b3eb67fa74422afa93e6ec53a)), closes [#57](https://github.com/crystal-ball/babel-base/issue/57)
* Update package jest to v26.4.2 🆙 (#54)([820c31c](https://github.com/crystal-ball/babel-base/commit/820c31c8c5f4b61e5abb77d3cb9b587e2e75447d)), closes [#54](https://github.com/crystal-ball/babel-base/issue/54)
* Update package typescript to v4 🆙 (#56)([4f0a1a1](https://github.com/crystal-ball/babel-base/commit/4f0a1a13ea183deeef007c859a2b64399e5fe0ce)), closes [#56](https://github.com/crystal-ball/babel-base/issue/56)

## [1.12.0](https://github.com/crystal-ball/babel-base/compare/v1.11.0...v1.12.0) (2020-08-06)


#### ✨ Update

* Dependencies 🆙 (#51)([4ca50ba](https://github.com/crystal-ball/babel-base/commit/4ca50ba780e8a29c73685cccf6ce1440aeaf6882)), closes [#51](https://github.com/crystal-ball/babel-base/issue/51)

#### Chore

* Update devDependencies 🆙 (#49)([ab898bc](https://github.com/crystal-ball/babel-base/commit/ab898bc974329ebc0da3edfde1bfdb3ad35d4e53)), closes [#49](https://github.com/crystal-ball/babel-base/issue/49)
* Update devDependencies 🆙 (#50)([715e95e](https://github.com/crystal-ball/babel-base/commit/715e95e322abe68bd42194753aa3e949e2278bd9)), closes [#50](https://github.com/crystal-ball/babel-base/issue/50)

## [1.11.0](https://github.com/crystal-ball/babel-base/compare/v1.10.0...v1.11.0) (2020-07-26)


#### ✨ Update

* Dependencies to v7.10.5 🆙 (#47)([dd98827](https://github.com/crystal-ball/babel-base/commit/dd988278eb5ed9990a7617b40bae7963f1a411cd)), closes [#47](https://github.com/crystal-ball/babel-base/issue/47)

#### Chore

* Update devDependencies 🆙 (#46)([f044c0a](https://github.com/crystal-ball/babel-base/commit/f044c0a1aa10a2427fadc43a982f095c06fd70c4)), closes [#46](https://github.com/crystal-ball/babel-base/issue/46)
* Update devDependencies 🆙 (#48)([3103496](https://github.com/crystal-ball/babel-base/commit/310349630f7f79d480ef5a67b1897df639cdd2a2)), closes [#48](https://github.com/crystal-ball/babel-base/issue/48)
* Update package @types/node to v14.0.19 🆙 (#44)([3adfd6d](https://github.com/crystal-ball/babel-base/commit/3adfd6d990ac2ffa0da23eb96d071cc4634b1449)), closes [#44](https://github.com/crystal-ball/babel-base/issue/44)
* Update package eslint-config-eloquence to v14.7.0 🆙 (#45)([204b8b7](https://github.com/crystal-ball/babel-base/commit/204b8b732b1364c6d00509118a92178a574c61dc)), closes [#45](https://github.com/crystal-ball/babel-base/issue/45)

## [1.10.0](https://github.com/crystal-ball/babel-base/compare/v1.9.0...v1.10.0) (2020-07-06)


#### ✨ Update

* Babel 7.10 🆙 (#43)([60a4d18](https://github.com/crystal-ball/babel-base/commit/60a4d18298d00f724cc51a598fc5bc56a9fdae8f)), closes [#43](https://github.com/crystal-ball/babel-base/issue/43)

#### Chore

* Update devDependencies 🆙([674f61e](https://github.com/crystal-ball/babel-base/commit/674f61ebd8f831a52ab4a70fd0eb2678201ea9b1))
* Update devDependencies 🆙 (#36)([a771dd4](https://github.com/crystal-ball/babel-base/commit/a771dd4ce13044775159727db99c6ba6b7b12c44)), closes [#36](https://github.com/crystal-ball/babel-base/issue/36)
* Update devDependencies 🆙 (#37)([ec0b80f](https://github.com/crystal-ball/babel-base/commit/ec0b80f4a3b086d51e84d75c9402e2afda688ae3)), closes [#37](https://github.com/crystal-ball/babel-base/issue/37)
* Update devDependencies 🆙 (#39)([e234f4b](https://github.com/crystal-ball/babel-base/commit/e234f4bd74e650a19c2f3a94f216ee4db52f6f4b)), closes [#39](https://github.com/crystal-ball/babel-base/issue/39)
* Update package @types/jest to v26 🆙 (#38)([f21a3d3](https://github.com/crystal-ball/babel-base/commit/f21a3d316816ed29965dd37f0b96b9801ed062db)), closes [#38](https://github.com/crystal-ball/babel-base/issue/38)
* Update package jest to v26.1.0 🆙 (#40)([bbe5d4e](https://github.com/crystal-ball/babel-base/commit/bbe5d4e942a8a61b2a49108827e310051195900f)), closes [#40](https://github.com/crystal-ball/babel-base/issue/40)

## [1.9.0](https://github.com/crystal-ball/babel-base/compare/v1.8.0...v1.9.0) (2020-05-31)


#### ✨ Update

* Package dependencies 🆙 (#35)([2e82360](https://github.com/crystal-ball/babel-base/commit/2e823606e8e3301ed4452307292390380b869dd4)), closes [#35](https://github.com/crystal-ball/babel-base/issue/35)

#### Chore

* Update Eloquence 🆙 (#33)([84691f5](https://github.com/crystal-ball/babel-base/commit/84691f5ee277af7f7601ce0359b1e0b8daa0a5ca)), closes [#33](https://github.com/crystal-ball/babel-base/issue/33)

## [1.8.0](https://github.com/crystal-ball/babel-base/compare/v1.7.0...v1.8.0) (2020-05-20)


#### 💖 New

* Relative alias import transforms 🎊([a49ff11](https://github.com/crystal-ball/babel-base/commit/a49ff111924226cb833751a1a1f3d9613afb55f0))

## [1.7.0](https://github.com/crystal-ball/babel-base/compare/v1.6.1...v1.7.0) (2020-05-19)


#### ✨ Update

* Package dependencies 🆙 (#31)([cfcff8e](https://github.com/crystal-ball/babel-base/commit/cfcff8ece6bc231d6b09e636c7feb2f565d038da)), closes [#31](https://github.com/crystal-ball/babel-base/issue/31)

### [1.6.1](https://github.com/crystal-ball/babel-base/compare/v1.6.0...v1.6.1) (2020-05-03)


#### 🛠 Fix

* Include class-properties plugin for Node projects 🎊 (#24)([c73fb62](https://github.com/crystal-ball/babel-base/commit/c73fb62c4e55528fbd77d57e59c5ddea3c92737e)), closes [#24](https://github.com/crystal-ball/babel-base/issue/24)

#### Chore

* Reconfigure Renovate ⚙️ (#21)([1df800d](https://github.com/crystal-ball/babel-base/commit/1df800d93040491e09cd3ae10727eaaa9106cd97)), closes [#21](https://github.com/crystal-ball/babel-base/issue/21)
* Reconfigure Renovate ⚙️ (#23)([f533b28](https://github.com/crystal-ball/babel-base/commit/f533b28c52696558abcd2b1f7eff603812539183)), closes [#23](https://github.com/crystal-ball/babel-base/issue/23)
* Update CI/CD configurations ⚙️ (#20)([17de156](https://github.com/crystal-ball/babel-base/commit/17de156f60d214bdb47616cac3f1531f5650363b)), closes [#20](https://github.com/crystal-ball/babel-base/issue/20)
* Update dev dependencies 🆙 (#19)([1f061e1](https://github.com/crystal-ball/babel-base/commit/1f061e1535d57541c8d16d6cda97f7d37d13f076)), closes [#19](https://github.com/crystal-ball/babel-base/issue/19)
* Update dev dependencies 🆙 (#22)([15562dd](https://github.com/crystal-ball/babel-base/commit/15562dd2a94212c6fa50004c80d498bf64e09f2b)), closes [#22](https://github.com/crystal-ball/babel-base/issue/22)

## [1.6.0](https://github.com/crystal-ball/babel-base/compare/v1.5.0...v1.6.0) (2020-04-18)


#### ✨ Update

* Remove emotion from React configs ⚙️([f0d7995](https://github.com/crystal-ball/babel-base/commit/f0d7995038d3ea03b957163bf41ba7e42dd507d1))

## [1.5.0](https://github.com/crystal-ball/babel-base/compare/v1.4.0...v1.5.0) (2020-04-18)


#### ✨ Update

* Package dependencies 🆙([1668423](https://github.com/crystal-ball/babel-base/commit/16684233de81703396b808647ee3562ad18daae6))

## [1.4.0](https://github.com/crystal-ball/babel-base/compare/v1.3.0...v1.4.0) (2020-03-22)


#### ✨ Update

* Package dependencies 🆙([0383a18](https://github.com/crystal-ball/babel-base/commit/0383a181acc9b3d40f400594e6ce29bffb47ad07))

#### Chore

* Update dev dependencies 🆙 (#16)([1b89546](https://github.com/crystal-ball/babel-base/commit/1b895464e4392fa3d2016d6e22ae1f51adc490ea)), closes [#16](https://github.com/crystal-ball/babel-base/issue/16)

## [1.3.0](https://github.com/crystal-ball/babel-base/compare/v1.2.0...v1.3.0) (2020-03-15)


#### ✨ Update

* Package dependencies to v7.8.7 🆙 (#15)([24e80b6](https://github.com/crystal-ball/babel-base/commit/24e80b6c09ba9f84f4ecd73fcbc778a995bc9783)), closes [#15](https://github.com/crystal-ball/babel-base/issue/15)

#### Chore

* Update dev dependencies 🆙 (#14)([f731413](https://github.com/crystal-ball/babel-base/commit/f73141357f0c7c26c90f41c68318916c86246b8f)), closes [#14](https://github.com/crystal-ball/babel-base/issue/14)

## [1.2.0](https://github.com/crystal-ball/babel-base/compare/v1.1.1...v1.2.0) (2020-03-03)


#### ✨ Update

* Package dependencies to v7.8.6 🆙 (#13)([3817eaa](https://github.com/crystal-ball/babel-base/commit/3817eaac6dc51758fe309d939bf71ae9e9746b97)), closes [#13](https://github.com/crystal-ball/babel-base/issue/13)

#### Chore, Docs

* Configure branch and commit info ⚙️([fd9e486](https://github.com/crystal-ball/babel-base/commit/fd9e48670d079be63b12d6a43a877a76bf7bc9fe))
* Fix code coverage reporting ⚙️ (#10)([4627aea](https://github.com/crystal-ball/babel-base/commit/4627aea6fb862dc9aff6acb3d1327a19917312b2)), closes [#10](https://github.com/crystal-ball/babel-base/issue/10)
* Fix CodeClimate reporting env vars ⚙️ (#11)([dfc28d8](https://github.com/crystal-ball/babel-base/commit/dfc28d89a21a2cc0aa439f3345ae5fa6e09ae7dc)), closes [#11](https://github.com/crystal-ball/babel-base/issue/11)
* Fix expression([3a2a7bc](https://github.com/crystal-ball/babel-base/commit/3a2a7bcdfd3e8c5c6bbecd0ad1b2d04febbccfc4))
* Ignore addl publish assets ⚙️([1483477](https://github.com/crystal-ball/babel-base/commit/1483477fd4ede20c756c27aded67dbad5b9a3cdd))
* Setup repo code owners([c3e7b38](https://github.com/crystal-ball/babel-base/commit/c3e7b38a7bcf29089714fc878a11bf40d4522295))
* Update dev dependencies 🆙 (#12)([28e3087](https://github.com/crystal-ball/babel-base/commit/28e308740601c0cf4a18983af7b5cfc00dbc0916)), closes [#12](https://github.com/crystal-ball/babel-base/issue/12)
* Update require statement example 📝([35b4167](https://github.com/crystal-ball/babel-base/commit/35b41678766f21d2191af548a475756ac7220970))

### [1.1.1](https://github.com/crystal-ball/babel-base/compare/v1.1.0...v1.1.1) (2020-02-20)


#### 🛠 Fix

* Point package.json main to correct location (#9)([a303fcc](https://github.com/crystal-ball/babel-base/commit/a303fcc463d3eb2133f58f91bf944e3e67a79d40)), closes [#9](https://github.com/crystal-ball/babel-base/issue/9)

#### Docs

* Fix Changelog 📝([7da6ca4](https://github.com/crystal-ball/babel-base/commit/7da6ca42100366338f57826190e52abe838485b7))

## [1.1.0](https://github.com/crystal-ball/babel-base/compare/v1.0.0...v1.1.0) (2020-02-20)


#### ✨ Update

* Add package setup docs and handle compile targets internally 📝 (#8)([f5511fa](https://github.com/crystal-ball/babel-base/commit/f5511fa2a17579bf8b1d1fe838306167653a326c)), closes [#8](https://github.com/crystal-ball/babel-base/issue/8)

#### Chore

* Configure CI/CD action ⚙️ (#3)([c66f06e](https://github.com/crystal-ball/babel-base/commit/c66f06ee8f150e126a6848e6159a5e058b1837f7)), closes [#3](https://github.com/crystal-ball/babel-base/issue/3)
* Configure Code Climate exclusions ⚙️ (#6)([f0c91da](https://github.com/crystal-ball/babel-base/commit/f0c91da0b9757fc8553b1b6b80af75cc7e135361)), closes [#6](https://github.com/crystal-ball/babel-base/issue/6)
* Configure Code Climate maintainability checks ⚙️ (#4)([62bd1ec](https://github.com/crystal-ball/babel-base/commit/62bd1eca82b2fde5f7d3fe594d6262247b2f18a3)), closes [#4](https://github.com/crystal-ball/babel-base/issue/4)
* Configure code coverage threshold in Jest ⚙️ (#5)([10c592b](https://github.com/crystal-ball/babel-base/commit/10c592b92dc8daaf3d5fb57b9bfb170b485dea7a)), closes [#5](https://github.com/crystal-ball/babel-base/issue/5)
* Configure Semantic Release and Commitizen 🚀 (#7)([9ceb718](https://github.com/crystal-ball/babel-base/commit/9ceb7183fdd247234e4688b8d1ba2af2756da3db)), closes [#7](https://github.com/crystal-ball/babel-base/issue/7)
